/*
 xGL:Model.h
 Created by mantis on 4/07/05.
 Copyright 2005 xonko interactive. All rights reserved.
 */

#import <Cocoa/Cocoa.h>
#import "XGLNode.h"
#import "XGLGeometry.h"
#import "XGLShader.h"

@interface XGLModel : XGLNode {
	
	XGLGeometry *resource;
	XGLShader *shader;
	bool isDrawn;
}

//+(Class)class;
-(id)resource;
-(void)setResource:(id)newResource;
-(id)shader;
-(void)setShader:(id)newShader;
-(bool)isDrawn;
-(void)setDrawn:(bool)yesNo;
-(void)drawOpenGL;

@end
